# Учетная запись

Чтобы получить доступ к настройкам учетной записи, нажмите кнопку <i class="fas fa-lg fa-fw fa-user-circle"><span class="visually-hidden">пользователь</span></i> в правом верхнем углу.

## Безопасность

### Пароль

Требования к паролю следующие:

- Не менее 8 символов, рекомендуется 14 или более.
- Не менее 1 цифры.
- Не менее 1 заглавной буквы и 1 строчной буквы.

Если вы хотите создать надежный пароль, вы можете использовать [генератор 1Password](https://1password.com/password-generator/).

### Двухфакторная аутентификация (2FA)

1. В настройках учетной записи установите флажок **Включить двухфакторную аутентификацию**.
2. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

3. Отсканируйте QR-код с помощью приложения для аутентификации.
4. Сохраните свой **Код восстановления учетной записи** в надежном месте на случай, если вы потеряете доступ к своему аутентификатору.

::: details Нужно приложение 2FA?
Если у вас нет приложения для аутентификации, вот несколько рекомендаций.

- Связка ключей iCloud – [Windows](https://9to5mac.com/2022/07/25/icloud-passwords-windows-2fa-code/), [macOS](https://9to5mac.com/2021/11/16/use-safari-password-manager-and-2fa-autofill/), [iOS](https://9to5mac.com/2022/03/07/use-ios-15-2fa-code-generator-plus-autofill-iphone/)
- [Tofu Authenticator](https://www.tofuauth.com/) – С открытым исходным кодом, только для iOS
- [Aegis Authenticator](https://getaegis.app/) – С открытым исходным кодом, только для Android
- [Raivo OTP](https://github.com/raivo-otp/) – Открытый исходный код, только для iOS и macOS
- [Google Authenticator](https://googleauthenticator.net/)
- [Microsoft Authenticator](https://www.microsoft.com/en-ca/security/mobile-authenticator-app)
- [Authy](https://authy.com/) — бесплатно, есть функция синхронизации с облаком
- [1Password](https://1password.com/) — платный менеджер паролей
- [Bitwarden](https://bitwarden.com/) — менеджер паролей. 2FA только в премиум-плане

:::

### Ограничения на вход

Hestia предлагает следующие возможности, которые помогут вам защитить свою учетную запись:

- Отключить вход в учетную запись.
- Добавить свой IP-адрес в белый список для входа в учетную запись.

### Журналы безопасности

Журналы безопасности содержат различную информацию, например: изменения в веб-доменах, доступ к API, создание резервных копий и т. д. Нажмите кнопку **<i class="fas fa-fw fa-history"></i> Журналы**, чтобы просмотреть их.

### История входов

На странице журналов безопасности нажмите кнопку **<i class="fas fa-fw fa-binoculars"></i> История входов**, чтобы просмотреть историю входов. История содержит время входа, IP-адрес и пользовательский агент браузера, который использовался.

## Ключи SSH

Нажмите кнопку **<i class="fas fa-fw fa-key"></i> Управление ключами SSH**, чтобы просмотреть установленные ключи.

### Добавление ключа SSH

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить ключ SSH**.

2. Скопируйте свой открытый ключ в текстовую область.
3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

### Удаление ключа SSH

1. Наведите указатель мыши на ключ SSH, который вы хотите удалить.

2. Нажмите значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить</span></i> справа от идентификатора SSH.

::: details Нужно сгенерировать ключ?
Если у вас нет ключа SSH, вот несколько способов его сгенерировать.

- Для Windows: [Putty](https://www.ssh.com/academy/ssh/putty/windows/puttygen#running-puttygen).
- Для macOS и Linux используйте `ssh-keygen`.

Вы также можете использовать приложение для управления ими:

- [1Password](https://developer.1password.com/docs/ssh/manage-keys/)
- [Termius](https://www.termius.com/)

:::

## Ключи доступа API

::: info
Эта опция отключена по умолчанию для обычных пользователей. Администратор должен включить ее в настройках сервера.
:::

Нажмите кнопку **<i class="fas fa-fw fa-key"></i> Ключи доступа**, чтобы просмотреть ключи доступа. Ключи доступа используются для аутентификации API вместо использования имени пользователя и пароля.

### Создание ключа доступа

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить ключ доступа**.

2. Выберите наборы разрешений, которые вы хотите включить.
3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

4. Скопируйте ключ доступа и секретный ключ. Обязательно сохраните секретный ключ в надежном месте, так как его **нельзя** просмотреть после закрытия страницы.

### Удаление ключа доступа

1. Наведите указатель мыши на ключ доступа, который вы хотите удалить.
2. Нажмите значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить</span></i> справа от ключа доступа.