# Резервные копии

Чтобы управлять резервными копиями, перейдите на вкладку **Резервные копии <i class="fas fa-fw fa-file-archive"></i>**.

## Создание резервной копии вручную

Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Создать резервную копию**.

Появится всплывающее окно со следующим сообщением:

**Задача добавлена ​​в очередь. Вы получите уведомление по электронной почте, когда резервная копия будет готова к загрузке.**

## Загрузка резервной копии

1. Наведите указатель мыши на резервную копию, которую хотите загрузить.
2. Нажмите значок <i class="fas fa-fw fa-file-download"><span class="visually-hidden">Загрузить</span></i> справа от имени файла резервной копии.

Если резервная копия хранится на удаленном сервере, файл загружается на сервер, и вы получите уведомление по электронной почте, когда загрузка станет доступна.

## Восстановление резервной копии

1. Наведите указатель мыши на резервную копию, которую вы хотите восстановить.
2. Щелкните имя файла резервной копии или значок <i class="fas fa-fw fa-undo"><span class="visually-hidden">Восстановить</span></i> справа от имени файла резервной копии.
3. Восстановите резервную копию одним из следующих способов:
1. Вы можете восстановить всю резервную копию, нажав кнопку **<i class="fas fa-fw fa-undo"></i> Восстановить резервную копию** в правом верхнем углу.
2. Восстановите несколько частей резервной копии, выбрав их, затем выбрав **Восстановить** в меню **Применить к выбранному** в правом верхнем углу и нажав кнопку <i class="fas fa-fw fa-arrow-right"><span class="visually-hidden">Применить</span></i>.
3. Восстановите одну часть резервной копии, наведя на нее курсор и нажав на значок <i class="fas fa-fw fa-undo"><span class="visually-hidden">Восстановить</span></i> справа.

## Удаление резервной копии

1. Наведите курсор на резервную копию, которую хотите удалить.
2. Нажмите на значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить</span></i> справа от имени файла резервной копии.

## Исключение компонентов из резервных копий

1. Нажмите кнопку **<i class="fas fa-fw fa-folder-minus"></i> Исключение резервной копии**.
2. Нажмите кнопку **<i class="fas fa-fw fa-pencil-alt"></i> Изменить исключения резервной копии**.

### Исключение веб-домена

В поле с надписью **Веб-домены** введите каждый домен, который вы хотите исключить, по одному в каждой строке.

Чтобы исключить определенную папку из домена, используйте следующий синтаксис:

```bash
domain.tld:public_html/wp-content/uploads:public_html/cache
```

Это исключит и `public_html/wp-content/uploads/`, и `public_html/cache/` из этого домена.

Чтобы исключить все домены, используйте `*`.

### Исключение почтового домена

В поле с надписью **Почтовые домены** введите каждый домен, который вы хотите исключить, по одному в каждой строке.

Чтобы исключить только одну или несколько учетных записей электронной почты, используйте следующий синтаксис:

```bash
domain.tld:info:support
```

Это исключит и `info@domain.tld`, и `support@domain.tld`.

Чтобы исключить все домены, используйте `*`.

### Исключение базы данных

В поле с надписью **Базы данных** введите имя каждой базы данных, которую вы хотите исключить, по одному в каждой строке.

Чтобы исключить все базы данных, используйте `*`.

### Исключение каталога пользователя

В поле с надписью **Каталоги пользователя** введите имя каждого каталога, которую вы хотите исключить, по одному в каждой строке.

Чтобы исключить все каталоги, используйте `*`.

## Изменение количества резервных копий

Чтобы изменить количество резервных копий, прочтите документацию [Пакеты](../user-guide/packages.md) и [Пользователи](../user-guide/users.md). Вам нужно будет создать или изменить пакет и назначить его нужному пользователю.