# DNS

Чтобы управлять зонами и записями DNS, перейдите на вкладку **DNS <i class="fas fa-fw fa-atlas"></i>**.

## Добавление зоны DNS

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить зону DNS**.

2. Введите доменное имя в поле **Домен**.
- Выберите подходящий шаблон для зоны.
- Если для домена требуются другие серверы имен, измените их в разделе **Дополнительные параметры**.

3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Редактирование зоны DNS

1. Наведите указатель мыши на зону, которую хотите изменить.
2. Щелкните значок <i class="fas fa-fw fa-pencil-alt"><span class="visually-hidden">редактирования</span></i> справа от домена зоны.

3. Внесите необходимые изменения.

4. Щелкните кнопку **<i class="fas fa-fw fa-save"></i> сохранения** в правом верхнем углу.

## Просмотр открытых ключей DNSSEC

1. Наведите указатель мыши на зону, ключи DNSSEC которой вы хотите увидеть.
2. Щелкните значок <i class="fas fa-fw fa-key"><span class="visually-hidden">DNSSEC</span></i> справа от домена зоны.

## Приостановка зоны DNS

1. Наведите указатель мыши на зону, которую вы хотите приостановить.
2. Щелкните значок <i class="fas fa-fw fa-pause"><span class="visually-hidden">suspend</span></i> справа от домена зоны.

3. Чтобы отменить приостановку, щелкните значок <i class="fas fa-fw fa-play"><span class="visually-hidden">unsuspend</span></i> справа от домена зоны.

## Удаление зоны DNS

1. Наведите указатель мыши на зону, которую хотите удалить.

2. Щелкните значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">delete</span></i> справа от домена зоны.

## Конфигурация зоны DNS

### IP-адрес

IP-адрес, который следует использовать для корневого домена.

### Шаблон

- **default**: Стандартный шаблон DNS. Подходит для большинства вариантов использования.
- **default-nomail**: Стандартный шаблон DNS. Подходит для большинства вариантов использования, когда вы не хотите размещать почту на Hestia.
- **gmail**: Когда ваш поставщик электронной почты — Google Workspace.
- **office365**: Когда ваш поставщик электронной почты — Microsoft 365 (Exchange).
- **zoho**: Когда ваш поставщик электронной почты — Zoho.
- **child-ns**: Когда вы собираетесь использовать домен в качестве сервера имен.

### Дата истечения срока действия

Эта дата не используется Hestia, но может использоваться в качестве напоминания.

### SOA

Запись начала полномочий (SOA) включает административную информацию о вашей зоне, как определено системой доменных имен (DNS).

### TTL

Настройте время жизни по умолчанию. Более короткий TTL означает более быстрые изменения, но приводит к большему количеству запросов к серверу. Если вы собираетесь изменить IP, может быть полезно уменьшить его до 300 секунд (5 мин).

### DNSSEC

Включите DNSSEC для повышения безопасности. Однако этот параметр требует некоторых изменений у вашего регистратора домена, прежде чем он станет активным. Для получения дополнительной информации см. документацию [DNS-кластера](../server-administration/dns.md).

## Добавление записи DNS в зону

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить запись**.

2. Заполните поля.
3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Редактирование записи DNS

1. Щелкните запись или значок <i class="fas fa-fw fa-pencil-alt"><span class="visually-hidden">редактирования</span></i>, который появляется при наведении.
2. Внесите необходимые изменения.
3. Щелкните кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Приостановка записи DNS

1. Наведите указатель мыши на запись, которую хотите приостановить.
2. Щелкните значок <i class="fas fa-fw fa-pause"><span class="visually-hidden">приостановки</span></i> справа от домена записи.
3. Чтобы разблокировать ее, нажмите значок <i class="fas fa-fw fa-play"><span class="visually-hidden">разблокировать</span></i> справа от домена записи.

## Удаление записи DNS

1. Наведите указатель мыши на запись, которую хотите удалить.
2. Нажмите значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить</span></i> справа от домена записи.

## Конфигурация записи DNS

### Запись

Имя записи. `record`.domain.tld. Используйте `@` для root.

### Тип

Поддерживаются следующие типы записей:

- A
- AAAA
- CAA
- CNAME
- DNSKEY
- IPSECKEY
- KEY
- MX
- NS
- PTR
- SPF
- SRV
- TLSA
- TXT

### IP или значение

IP или значение записи, которую вы хотите использовать.

### Приоритет

Приоритет записи. Используется только для записей MX

### TTL

Настройте время жизни по умолчанию. Более короткий TTL означает более быстрые изменения, но приводит к большему количеству запросов к серверу. Если вы собираетесь изменить IP, может быть полезно уменьшить его до 300 секунд (5 мин).