# Пользователи

Чтобы управлять пользователями, войдите в систему как **администратор** и перейдите на вкладку **Пользователи <i class="fas fa-fw fa-users"></i>**.

## Добавление пользователя

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить пользователя**.

2. Заполните поля.

3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Выдача себя за пользователя

1. Наведите указатель мыши на пользователя, под которым вы хотите войти.
2. Нажмите значок <i class="fas fa-fw fa-sign-in-alt"><span class="visually-hidden">войти как</span></i> справа от имени пользователя и адреса электронной почты.

3. Теперь вы вошли в систему как пользователь. Таким образом, любое действие, которое вы выполните, будет выполнено от имени этого пользователя.

## Редактирование пользователя

Указанные ниже настройки доступны только администраторам. Обычные настройки см. в документации [Управление учетными записями](../user-guide/account.md).

Чтобы отредактировать пользователя, вы можете либо выдать себя за него и нажать на значок <i class="fas fa-lg fa-fw fa-user-circle"><span class="visually-hidden">пользователя</span></i> в правом верхнем углу, либо выполнить следующие действия:

1. Наведите указатель мыши на пользователя, которого вы хотите отредактировать.
2. Нажмите на значок <i class="fas fa-fw fa-pencil-alt"><span class="visually-hidden">редактировать</span></i> справа от имени пользователя и адреса электронной почты.

## Приостановка пользователя

1. Наведите указатель мыши на пользователя, которого вы хотите приостановить.
2. Щелкните значок <i class="fas fa-fw fa-pause"><span class="visually-hidden">приостановить</span></i> справа от имени пользователя и адреса электронной почты.

## Удаление пользователя

1. Наведите указатель мыши на пользователя, которого хотите удалить.
2. Щелкните значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить</span></i> справа от имени пользователя и адреса электронной почты.

## Конфигурация пользователя

### Отключение доступа к панели управления

Чтобы лишить пользователя доступа к панели управления, установите флажок: **Не разрешать пользователю входить в панель управления**.

### Изменение роли

Чтобы изменить роль пользователя, измените значение **Роль** в раскрывающемся списке.

::: warning
Назначение роли **Администратор** пользователю позволит ему видеть и редактировать других пользователей. Они не смогут редактировать пользователя **admin**, но смогут видеть его, если это не отключено в настройках сервера.
:::

### Изменение пакета

Чтобы изменить пакет пользователя, измените значение **Package** в раскрывающемся списке.

### Изменение доступа SSH

Чтобы изменить доступ пользователя SSH, нажмите кнопку **Advanced Options**, затем измените значение **SSH Access** в раскрывающемся списке.

::: warning
Использование оболочки **nologin** _не_ отключит доступ SFTP.
:::

### Изменение версии PHP CLI

Чтобы изменить версию PHP CLI пользователя, нажмите кнопку **Advanced Options**, затем измените значение **PHP CLI Version** в раскрывающемся списке.

### Изменение серверов имен по умолчанию

Чтобы изменить серверы имен пользователя по умолчанию, нажмите кнопку **Advanced Options**, затем измените поля **Default Name Servers**.

::: warning
Необходимо как минимум 2 сервера имен по умолчанию. Это необходимо для обеспечения избыточности в случае, если один из них не ответит. Фактически, предлагается, чтобы оба сервера имен находились на отдельных серверах для лучшей устойчивости. Если вы системный администратор и хотите настроить это, обратитесь к нашей [документации по кластеру DNS](../server-administration/dns.md#dns-cluster-setup).
:::